org.apache.fop.hyphenation

## Class SerializeHyphPattern

- java.lang.Object
- - org.apache.fop.hyphenation.SerializeHyphPattern

    public class SerializeHyphPattern
    extends Object

Serialize hyphenation patterns.

For all xml files in the source directory a pattern file is built in the target directory.

This class may be called from the ant build file in a java task.

### Constructor Summary

Constructors
Constructor and Description
`SerializeHyphPattern()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `main(String[] args)` Entry point for ant java task
`void` `serializeDir(File sourceDir, File targetDir)` Compile all xml files in sourceDir, and write output hyp files in targetDir
`void` `setErrorDump(boolean errorDump)` Controls the amount of error information dumped.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SerializeHyphPattern

    public SerializeHyphPattern()

### Method Detail

#### setErrorDump

    public void setErrorDump(boolean errorDump)

Controls the amount of error information dumped.

Parameters:
  `errorDump` - True if more error info should be provided

#### serializeDir

    public void serializeDir(File sourceDir,
                             File targetDir)

Compile all xml files in sourceDir, and write output hyp files in targetDir

Parameters:
  `sourceDir` - Directory with pattern xml files
  `targetDir` - Directory to which compiled pattern hyp files should be written

#### main

    public static void main(String[] args)

Entry point for ant java task

Parameters:
  `args` - sourceDir, targetDir